using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace DataSharing.Province
{
    /// <summary>
    /// 服务工单上报12315过程信息查询
    /// </summary>
    [Description("服务工单上报12315过程信息查询")]
    public class DsGetCaseDistrecordSend : CreationModificationEntity
    {
        /// <summary>
        ///  
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)")]
        public string OperatorGuid { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)")]
        public string? CliengGuid { get; set; }

        /// <summary>
        ///  收到时间
        /// </summary>
        [SugarColumn(ColumnDescription = "收到时间")]
        public DateTime? CreateTime { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)")]
        public string? BatchNo { get; set; }

        /// <summary>
        ///  节点
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "节点")]
        public string? NodeType { get; set; }

        /// <summary>
        ///  操作
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "操作")]
        public string? OperateStatus { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)")]
        public string? OperatorouGuid { get; set; }

        /// <summary>
        ///  步骤
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(200)", ColumnDescription = "步骤")]
        public string? ActivityGuid { get; set; }

        /// <summary>
        ///  操作人名
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(200)", ColumnDescription = "操作人名")]
        public string? OperateUserName { get; set; }

        /// <summary>
        ///  操作部门
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(200)", ColumnDescription = "操作部门")]
        public string? OperatorouName { get; set; }

        /// <summary>
        ///  唯一ID
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)")]
        public string? RowGuid { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)")]
        public string? Tguid { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)")]
        public string? Cguid { get; set; }

        /// <summary>
        ///  
        /// </summary>
        public DateTime? OperateDate { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)")]
        public string? FirstTguid { get; set; }

        /// <summary>
        ///处理时间
        /// </summary>
        [SugarColumn(ColumnDescription = "处理时间")]
        public DateTime? HandleTime { get; set; }

        /// <summary>
        ///  处理意见
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(5000)", ColumnDescription = "处理意见")]
        public string? HandleOpinion { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)")]
        public string? OperateType { get; set; }

        /// <summary>
        ///  处理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "处理人员")]
        public string? OperatorName { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string? CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string? AreaCode { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "1";
    }
}
